Issue1054

classification
Title: Patch: Fastpath for cursor.executemany()
Type: behaviour Severity: normal
Components: zxjdbc Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: leosoto
Priority: Keywords:

Created on 2008-06-12.20:27:54 by leosoto, last changed 2008-08-10.21:21:25 by leosoto.

Files
File name Uploaded Description Edit Remove
executemany_fastpath.patch leosoto, 2008-06-12.20:27:54
Messages
msg3276 (view) Author: Leonardo Soto (leosoto) Date: 2008-06-12.20:27:54
When cursor.executemany() is called with an empty sequence as the second
arg, there is no need to construct a PreparedStatement using the query
passed as the first arg.

Aside from performance considerations, this avoids raising failures with
wrong sql when the sql query is irrelevant.
msg3315 (view) Author: Leonardo Soto (leosoto) Date: 2008-07-02.00:08:49
Patch applied on r4835 (asm branch)
History
Date User Action Args
2008-08-10 21:21:25leosotosetstatus: open -> closed
resolution: fixed
2008-07-02 00:08:49leosotosetmessages: + msg3315
2008-06-12 20:27:54leosotocreate